Get Coinbase onramp options
Retrieves available Coinbase onramp configuration options.
GET
/onramp/coinbase/options
Retrieves available Coinbase onramp configuration options.
Query Parameters
country
string
required
query
Country code for onramp options
Example:
"US"subdivision
string
optional
query
Optional subdivision (state/province) code
Example:
"CA"payment_method
string
optional
query
Optional payment method filter
Example:
"USD"purchase_method
string
optional
query
Optional purchase method filter
Example:
"USDC"chainIds
string[]
optional
query
Optional array of chain IDs to filter by
Example:
["1","8453"]Responses
200
Coinbase options retrieved successfully
application/jsonsuccess
boolean
REQUIRED
message
string
REQUIRED
data
object
REQUIRED
paymentCurrencies
object[]
REQUIRED
Available payment currencies
Array of:
id
string
Payment currency identifier
limits
object[]
Payment limits for this currency
Array of:
id
string
Payment method identifier
min
string
Minimum payment amount
max
string
Maximum payment amount
purchaseCurrencies
object[]
REQUIRED
Available purchase currencies
Array of:
id
string
REQUIRED
Currency identifier (UUID)
name
string
REQUIRED
Currency full name
symbol
string
REQUIRED
Currency symbol
iconUrl
string
REQUIRED
Currency icon URL
networks
object[]
REQUIRED
Available networks for this currency
Array of:
name
string
REQUIRED
Network name
displayName
string
REQUIRED
Network display name
contractAddress
string
REQUIRED
Token contract address on this network
chainId
string
REQUIRED
Chain ID for this network
display_name
string
REQUIRED
Network display name (snake_case version)
contract_address
string
REQUIRED
Token contract address (snake_case version)
chain_id
string
REQUIRED
Chain ID (snake_case version)
statusCode
number
REQUIRED
400
Bad request
curl -X GET 'https://mainnet.anyspend.com/onramp/coinbase/options?country=US'
const response = await fetch('https://mainnet.anyspend.com/onramp/coinbase/options?country=US', { method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://mainnet.anyspend.com/onramp/coinbase/options?country=US')print(response.json())
200
Response
{ "success": true, "message": "Get Coinbase onramp options successfully", "data": { "paymentCurrencies": [ { "id": "USD", "limits": [ { "id": "CARD", "min": "2", "max": "7500" }, { "id": "FIAT_WALLET", "min": "2", "max": "1000000" }, { "id": "ACH_BANK_ACCOUNT", "min": "2", "max": "25000" }, { "id": "APPLE_PAY", "min": "2", "max": "7500" } ] } ], "purchaseCurrencies": [ { "id": "2b92315d-eab7-5bef-84fa-089a131333f5", "name": "USDC", "symbol": "USDC", "iconUrl": "https://dynamic-assets.coinbase.com/3c15df5e2ac7d4abbe9499ed9335041f00c620f28e8de2f93474a9f432058742cdf4674bd43f309e69778a26969372310135be97eb183d91c492154176d455b8/asset_icons/9d67b728b6c8f457717154b3a35f9ddc702eae7e76c4684ee39302c4d7fd0bb8.png", "networks": [ { "name": "ethereum", "displayName": "Ethereum", "contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48", "chainId": "1", "display_name": "Ethereum", "contract_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48", "chain_id": "1" }, { "name": "base", "displayName": "Base", "contractAddress": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "chainId": "8453", "display_name": "Base", "contract_address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "chain_id": "8453" } ] } ] }, "statusCode": 200}
API Playground
Try this endpoint
GET
/onramp/coinbase/options

